## ros-rolling-ibeo-msgs 4.0.0

=== CMakeLists.txt ===
project(ibeo_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "CameraImage.msg"
  "ContourPointSigma.msg"
  "DeviceStatus.msg"
  "ErrorWarning.msg"
  "HostVehicleState2805.msg"
  "HostVehicleState2806.msg"
  "HostVehicleState2807.msg"
  "IbeoDataHeader.msg"
  "MountingPositionF.msg"
  "Object2221.msg"
  "Object2225.msg"
  "Object2270.msg"
  "Object2271.msg"
  "Object2280.msg"
  "ObjectData2221.msg"
  "ObjectData2225.msg"
  "ObjectData2270.msg"
  "ObjectData2271.msg"
  "ObjectData2280.msg"
  "Point2Df.msg"
  "Point2Di.msg"
  "Point2Dui.msg"
  "ResolutionInfo.msg"
  "ScanData2202.msg"
  "ScanData2204.msg"
  "ScanData2205.msg"
  "ScanData2208.msg"
  "ScannerInfo2204.msg"
  "ScannerInfo2205.msg"
  "ScanPoint2202.msg"
  "ScanPoint2204.msg"
  "ScanPoint2205.msg"
  "ScanPoint2208.msg"
  "Sigma2D.msg"
  "Size2D.msg"
  "TrackedProperties.msg"
  "UntrackedProperties.msg"
  "Velocity2D.msg"
)

if(${ROS_VERSION} EQUAL 1)

  cmake_minimum_required(VERSION 2.8.3)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    std_msgs
  )

  foreach(MSG_FILE ${MSG_FILES})
    execute_process(
      COMMAND /bin/bash -c "sed -i 's/builtin_interfaces\\/Time/time/g' msg/${MSG_FILE}"
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
  endforeach()

  add_message_files(FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  generate_messages(DEPENDENCIES std_msgs)

  catkin_package(
    CATKIN_DEPENDS message_runtime
  )

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES builtin_interfaces std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-rolling-ibeo-msgs (4.0.0-2jammy) jammy; urgency=high



 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Mon, 24 Apr 2023 04:00:00 -0000

ros-rolling-ibeo-msgs (3.3.0-2jammy) jammy; urgency=high



 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Fri, 18 Jun 2021 04:00:00 -0000

ros-rolling-ibeo-msgs (3.2.0-2jammy) jammy; urgency=high



 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Fri, 12 Mar 2021 05:00:00 -0000

ros-rolling-ibeo-msgs (3.1.0-2jammy) jammy; urgency=high



 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Wed, 17 Jun 2020 04:00:00 -0000

ros-rolling-ibeo-msgs (3.0.1-2jammy) jammy; urgency=high

  * Adding ros_environment as required package to all packages.
  * ROS1/ROS2 Hybrid: ibeo_msgs (#42 <https://github.com/astuff/astuff_sensor_msgs/issues/42>)
    * Hybridizing ibeo_msgs.
    * CI: Changing strategy for package selection.
  * Adding hybrid CI.
  * Updating package.xml files for ROS2 rosdep.
  * Adding message migration rules.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Thu, 23 Jan 2020 05:00:00 -0000

ros-rolling-ibeo-msgs (2.3.1-2jammy) jammy; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Fri, 07 Dec 2018 05:00:00 -0000

ros-rolling-ibeo-msgs (2.3.0-2jammy) jammy; urgency=high



 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Thu, 04 Oct 2018 04:00:00 -0000

ros-rolling-ibeo-msgs (2.2.2-2jammy) jammy; urgency=high



 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Thu, 30 Aug 2018 04:00:00 -0000

ros-rolling-ibeo-msgs (2.2.1-2jammy) jammy; urgency=high



 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Wed, 08 Aug 2018 04:00:00 -0000

ros-rolling-ibeo-msgs (2.1.0-2jammy) jammy; urgency=high

  * Updating package.xml to format 2.
  * Adding flags to ScanData2202.msg.
  * Fixing some messages for Ibeo. Adding new for LUX to ibeo_msgs.
  * Message name change for consistency.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <support@autonomoustuff.com>  Mon, 14 May 2018 04:00:00 -0000

=== debian/control ===
Source: ros-rolling-ibeo-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <support@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-ros-environment, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/kartech_linear_actuator_msgs
Standards-Version: 3.9.2

Package: ros-rolling-ibeo-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: The ibeo_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ibeo-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
